import java.awt.Graphics;

public class checkv extends java.applet.Applet {
	String Jversion, Jvendor, JCversion;

	public void init() {
		try {
			Jversion = System.getProperty("java.version");
			Jvendor = System.getProperty("java.vendor");
			JCversion = System.getProperty("java.class.version");
	   	} catch (Exception e) {
			};
   	};

	public void paint(Graphics g) {
		g.drawString("Version Finder", 5, 15);
    	};

    	public String getVMversion() {
		return Jversion;
    	};

    	public String getVMvendor() {
		return Jvendor;
    	};

	public String getCLASSversion() {
		return JCversion;
    	};
}
